Subject: bug#45898: 27.1; wedged in redisplay again

From: Gerd Möllmann <[email-masked]>
Date: Fri, 1 Jul 2022 13:04:28 +0200

> On 2022-07-01,, at 12:31 , Eli Zaretskii <[email-masked]> wrote:
> 
> 
> What kind of information is this capable to display?
> 
> If it's useful, we could have this script in the repository somewhere.

Good question, I'm exploring this right now.

The only way one can look at the result of the trace is, AFAICT, using the GUI app Instruments.  I'll send a screenshot to everyone except debbugs in a separate mail, because I don't know if debbugs can swallow that.  Does it?

In the GUI, one can see the heaviest time consumers (% execution time, and time in seconds).  One can see call stacks for them, narrow down on parts of call stack.  The rest I'm trying to figure out myself.

Big downside is not being able to produce some form of sharable text or pdf output.

Looks useful to me.

What would be a good place for such a script in the repo?  Does admin/macos sound right?  But I'll wait for your okay for that.